<div id="login-form">
  <div id="title">Logowanie:</div>
  <form method="POST" action="./" id="user-login">
    <input type="hidden" name="rw" value="user_logon" />
    <input type="hidden" name="p" value="page_articles" />
    <div>
      <input type="text" name="login" placeholder="login" />
    </div>
    <div>
      <input type="password" placeholder="hasło" name="password" /> 
    </div>
  </form>
  <div class="button" onClick="$( '#user-login' ).submit();">Zaloguj</div>
  <div class="clearfix"></div>
</div>
<script type="text/javascript">
  $( document ).ready( function() {
    $( '#user-login input' ).keyup( function(e){
      if ( e.which == 13 )
        $( '#user-login' ).submit();
    });
  });
</script>